> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/console-export-schedule.md).

# Console Export Schedule

## GET /consoleExportSchedule

> Retrieve all console export schedules

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExportSchedule":{"get":{"operationId":"getAll_1","responses":{"default":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExportScheduleModel"}}}},"description":"default response"}},"summary":"Retrieve all console export schedules","tags":["console-export-schedule"]}}},"components":{"schemas":{"ExportScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfConsoleExports":{"type":"integer","format":"int32"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## POST /consoleExportSchedule

> Create a console export schedule

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExportSchedule":{"post":{"operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleCreateRequest"}}},"description":"The model from which to create the schedule"},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleModel"}}},"description":"successful operation"}},"summary":"Create a console export schedule","tags":["console-export-schedule"]}}},"components":{"schemas":{"ExportScheduleCreateRequest":{"type":"object","properties":{"consoleExportIds":{"type":"array","items":{"type":"string","format":"uuid"},"uniqueItems":true},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"name":{"type":"string"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]}}},"ExportScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfConsoleExports":{"type":"integer","format":"int32"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## GET /consoleExportSchedule/environment/{environmentId}

> Retrieve all console export schedules for the given environment

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExportSchedule/environment/{environmentId}":{"get":{"operationId":"getByEnvironmentId_1","parameters":[{"description":"The id of the environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BackupScheduleModel"}}}},"description":"List of console export schedules for the given environment"},"204":{"description":"No console export schedules for the given environment"},"404":{"description":"Environment could not be found"}},"summary":"Retrieve all console export schedules for the given environment","tags":["console-export-schedule"]}}},"components":{"schemas":{"BackupScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcBackupOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfBackups":{"type":"integer","format":"int32"},"repoBackupOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## GET /consoleExportSchedule/{id}

> Retrieve a console export schedule

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExportSchedule/{id}":{"get":{"operationId":"getById_3","parameters":[{"description":"The id of the schedule","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleModel"}}},"description":"default response"}},"summary":"Retrieve a console export schedule","tags":["console-export-schedule"]}}},"components":{"schemas":{"ExportScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfConsoleExports":{"type":"integer","format":"int32"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## PUT /consoleExportSchedule/{id}

> Update a console export schedule

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExportSchedule/{id}":{"put":{"operationId":"update_1","parameters":[{"description":"The id of the schedule to update","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleUpdateRequest"}}},"description":"The updated schedule"},"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportScheduleModel"}}},"description":"default response"}},"summary":"Update a console export schedule","tags":["console-export-schedule"]}}},"components":{"schemas":{"ExportScheduleUpdateRequest":{"type":"object","properties":{"consoleExportScheduleId":{"type":"string","format":"uuid"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"maxRetained":{"type":"integer","format":"int32"},"name":{"type":"string"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]}}},"ExportScheduleModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"cronExpression":{"type":"string"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"frequencyWarning":{"type":"string"},"id":{"type":"string","format":"uuid"},"maxRetained":{"type":"integer","format":"int32"},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"nextExecution":{"type":"string","format":"date-time"},"numberOfConsoleExports":{"type":"integer","format":"int32"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"serverTimeZoneOffset":{"type":"object","properties":{"id":{"type":"string"},"rules":{"type":"object","properties":{"fixedOffset":{"type":"boolean"},"transitionRules":{"type":"array","items":{"type":"object","properties":{"dayOfMonthIndicator":{"type":"integer","format":"int32"},"dayOfWeek":{"type":"string","enum":["MONDAY","TUESDAY","WEDNESDAY","THURSDAY","FRIDAY","SATURDAY","SUNDAY"]},"localTime":{"$ref":"#/components/schemas/LocalTime"},"midnightEndOfDay":{"type":"boolean"},"month":{"type":"string","enum":["JANUARY","FEBRUARY","MARCH","APRIL","MAY","JUNE","JULY","AUGUST","SEPTEMBER","OCTOBER","NOVEMBER","DECEMBER"]},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"standardOffset":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"timeDefinition":{"type":"string","enum":["UTC","WALL","STANDARD"]}}}},"transitions":{"type":"array","items":{"type":"object","properties":{"dateTimeAfter":{"type":"string","format":"date-time"},"dateTimeBefore":{"type":"string","format":"date-time"},"duration":{"type":"object","properties":{"nano":{"type":"integer","format":"int32"},"negative":{"type":"boolean"},"positive":{"type":"boolean"},"seconds":{"type":"integer","format":"int64"},"units":{"type":"array","items":{"type":"object","properties":{"dateBased":{"type":"boolean"},"durationEstimated":{"type":"boolean"},"timeBased":{"type":"boolean"}}}},"zero":{"type":"boolean"}}},"gap":{"type":"boolean"},"instant":{"type":"string","format":"date-time"},"offsetAfter":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"offsetBefore":{"type":"object","properties":{"id":{"type":"string"},"totalSeconds":{"type":"integer","format":"int32"}}},"overlap":{"type":"boolean"}}}}}},"totalSeconds":{"type":"integer","format":"int32"}}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"}}}}}}
```

## DELETE /consoleExportSchedule/{id}

> Delete a console export schedule

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExportSchedule/{id}":{"delete":{"operationId":"delete_1","parameters":[{"description":"The id of the schedule to delete","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"successful operation"}},"summary":"Delete a console export schedule","tags":["console-export-schedule"]}}}}
```

## GET /consoleExportSchedule/{id}/consoleExports

> Retrieve all console exports created by a console export schedule

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExportSchedule/{id}/consoleExports":{"get":{"operationId":"getConsoleExportsByScheduleId","parameters":[{"description":"The id of the schedule","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExportModel"}}}},"description":"default response"}},"summary":"Retrieve all console exports created by a console export schedule","tags":["console-export-schedule"]}}},"components":{"schemas":{"ExportModel":{"type":"object","properties":{"consoleExportInformation":{"$ref":"#/components/schemas/ExportInformationModel"},"createdDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"inProgress":{"type":"boolean"},"key":{"type":"string"},"modifiedDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"stepStateMap":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/StepStateModel"}}}},"ExportInformationModel":{"type":"object","properties":{"appVersion":{"type":"string"},"consoleExportSpecificationId":{"type":"string","format":"uuid"},"createdByEmail":{"type":"string"},"date":{"type":"string","format":"date-time"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"expirationDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32"}}},"StepStateModel":{"type":"object","properties":{"errorMessage":{"type":"string"},"status":{"type":"string","enum":["UNKNOWN","WAITING","RUNNING","COMPLETED","ERROR","CANCELLED"]}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/console/console-export-schedule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
